
<%@page import="it.tref.liferay.mapit.util.MapItUtil"%>
<%@page import="com.liferay.portal.kernel.dao.search.SearchContainer"%>
<%@page import="com.liferay.portal.kernel.util.HttpUtil"%>
<%@page import="com.liferay.portal.util.PortalUtil"%>
<%@page import="it.tref.liferay.mapit.map.util.MapItPluginUtil"%>
<%@page import="com.liferay.portal.kernel.portlet.LiferayWindowState"%>
<%@page import="javax.portlet.PortletRequest"%>
<%@page import="com.liferay.portlet.PortletURLFactoryUtil"%>
<%@page import="it.tref.liferay.mapit.plugin.MapItPlugin"%>
<%@page import="it.tref.liferay.mapit.map.model.Plugin"%>
<%@page import="com.liferay.portal.kernel.dao.search.ResultRow"%>
<%@page import="it.tref.liferay.mapit.constants.WebKeys"%>

<%@include file="/html/map_configuration/init.jsp" %>

<%

SearchContainer searchContainer = (SearchContainer)request.getAttribute("liferay-ui:search:searchContainer");

String redirect = searchContainer.getIteratorURL().toString();

ResultRow row = (ResultRow)request.getAttribute(WebKeys.SEARCH_CONTAINER_RESULT_ROW);

Plugin plugin = (Plugin)row.getObject();
%>

<liferay-ui:icon-menu>

	<%

	String portletId = null;
	
	MapItPlugin mapItPlugin = MapItPluginUtil.getMapItPlugin(plugin.getContext());
	if (mapItPlugin != null) {
	  portletId = mapItPlugin.getPortalConfigurationPortletId();
	}
	%>
	
	<c:if test="<%=Validator.isNotNull(portletId) && plugin.isActive()%>">
	
		<%
		PortletURL portletURL = PortletURLFactoryUtil.create(request,
		    portletId, plid, PortletRequest.RENDER_PHASE);
		
		portletURL.setPortletMode(PortletMode.VIEW);
		portletURL.setWindowState(LiferayWindowState.POP_UP);
		%>
	 
		<liferay-ui:icon
			image="configuration"
			message="configuration"
			localizeMessage="true"
			url="<%= portletURL.toString() %>"
			useDialog="true"
		/>
		
	</c:if>
	
	
	<c:if test="<%=MapItPluginUtil.isMapItCompatiblePlugin(plugin) %>">
	
		<portlet:actionURL var="activatePluginURL" name="activatePlugin">
			<portlet:param name="pluginId" value="<%=String.valueOf(plugin.getPluginId()) %>" />
			<portlet:param name="redirect" value="<%= redirect %>" />
		</portlet:actionURL>
	
		<c:choose>
			<c:when test="<%=plugin.isActive() %>">
				<liferay-ui:icon
					image="deactivate"
					message="deactivate"
					localizeMessage="true"
					url='<%= HttpUtil.addParameter(activatePluginURL,
					    renderResponse.getNamespace() + "active", false) %>'
				/>
			</c:when>
			<c:otherwise>
				<liferay-ui:icon
					image="activate"
					message="activate"
					localizeMessage="true"
					url='<%= HttpUtil.addParameter(activatePluginURL,
					    renderResponse.getNamespace() + "active", true) %>'
				/>
			</c:otherwise>
		</c:choose>
	</c:if>

</liferay-ui:icon-menu>

